Bug 675875 - PySide.QtNetwork traceback
Summary: PySide.QtNetwork traceback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyside
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-08 04:13 UTC by Toshio Ernie Kuratomi
Modified: 2011-02-19 01:20 UTC (History)
5 users (show)

Fixed In Version: python-pyside-0.4.1-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-19 01:20:51 UTC


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2011-02-08 04:13:44 UTC
Description of problem:

PySide's QtNetwork module has an undefined symbol.  This also prevents importing PySide.QtDeclarative

Version-Release number of selected component (if applicable):
python-pyside-0.4.1-3.fc14.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. python
2. from PySide import QtNetwork
3.
  
Actual results:
>>> from PySide import QtNetwork
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: /usr/lib64/python2.7/site-packages/PySide/QtNetwork.so: undefined symbol: _ZNK21QNetworkConfiguration10bearerNameEv


Expected results:
>>> from PySide import QtNetwork
>>> 

Additional info:

This does not happen in a 32 bit rawhide virtual machine with:
python-pyside-1.0.0-0.2.beta4.fc15.i686

Not sure yet if it's 32bit vs 64 bit or the updated pyside that makes the problem disappear.

Comment 1 Toshio Ernie Kuratomi 2011-02-08 05:13:59 UTC
badone reports that this also happens with F14 KDE-4.6 and qt-4.7.1-13.fc14.x86_64

Comment 2 Toshio Ernie Kuratomi 2011-02-09 15:34:24 UTC
Kevin Kofler thinks this may just need a rebuild but I get an error when attempting to rebuild.

Comment 3 Kevin Kofler 2011-02-09 15:54:34 UTC
Oh fun. Are they shipping pregenerated binding code (like the .sip files PyQt4 ships)? If so, that pregenerated code likely needs regenerating or patching. I need to see the build.log to debug this.

Comment 4 Toshio Ernie Kuratomi 2011-02-09 18:13:07 UTC
Here's the failing task: https://koji.fedoraproject.org/koji/taskinfo?taskID=2796048

Comment 5 Fedora Update System 2011-02-09 22:31:40 UTC
python-pyside-0.4.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-pyside-0.4.1-4.fc14

Comment 6 Fedora Update System 2011-02-10 21:30:12 UTC
python-pyside-0.4.1-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pyside'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-pyside-0.4.1-4.fc14

Comment 7 Fedora Update System 2011-02-19 01:20:46 UTC
python-pyside-0.4.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.